Class | TkButton
In: | tk/lib/tk/button.rb
Parent: | TkLabel

### Methods

flash invoke

### Constants

TkCommandNames | = | ['button'.freeze].freeze
WidgetClassName | = | 'Button'.freeze

### Public Instance methods

flash()

[Source]

    # File tk/lib/tk/button.rb, line 23
      def flash
        tk_send_without_enc('flash')
        self
      end

invoke()

def create_self(keys)

      if keys and keys != None
        tk_call_without_enc('button', @path, *hash_kv(keys, true))
      else
        tk_call_without_enc('button', @path)
      end

end private :create_self

[Source]

    # File tk/lib/tk/button.rb, line 20
      def invoke
        _fromUTF8(tk_send_without_enc('invoke'))
      end

[Validate]